Bug 905529 - [abrt] python-bugzilla-0.7.0-3.fc18: bugzilla:730:bug_field:TypeError: sequence item 0: expected string, int found
[abrt] python-bugzilla-0.7.0-3.fc18: bugzilla:730:bug_field:TypeError: sequen...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:dca89c15758db8a85df78fb9bce...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 10:34 EST by Kamil Páral
Modified: 2013-03-22 17:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-22 17:01:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (723 bytes, text/plain)
2013-01-29 10:34 EST, Kamil Páral
no flags Details
File: core_backtrace (225 bytes, text/plain)
2013-01-29 10:34 EST, Kamil Páral
no flags Details
File: environ (2.95 KB, text/plain)
2013-01-29 10:34 EST, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-01-29 10:34:30 EST
Description of problem:
$ bugzilla query --product Fedora --version 18 --reporter kparal@redhat.com --boolean_query 'creation_ts-changedafter-2012-11-29T00:00:00 & creation_ts-changedbefore-2013-01-15T23:59:59' --outputformat='%{id};%{reporter};%{status};%{resolution};%{status_whiteboard};%{blocked}'

Version-Release number of selected component:
python-bugzilla-0.7.0-3.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/bugzilla query --product Fedora --version 18 --reporter kparal@redhat.com --boolean_query 'creation_ts-changedafter-2012-11-29T00:00:00 & creation_ts-changedbefore-2013-01-15T23:59:59' --outputformat=%{id};%{reporter};%{status};%{resolution};%{status_whiteboard};%{blocked}
executable:     /usr/bin/bugzilla
kernel:         3.7.4-204.fc18.x86_64
uid:            1000

Truncated backtrace:
bugzilla:730:bug_field:TypeError: sequence item 0: expected string, int found

Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 813, in <module>
    main()
  File "/usr/bin/bugzilla", line 736, in main
    print format_field_re.sub(bug_field,opt.outputformat)
  File "/usr/bin/bugzilla", line 730, in bug_field
    val = ','.join(val)
TypeError: sequence item 0: expected string, int found

Local variables in innermost frame:
b: <Bug #881670 on https://bugzilla.redhat.com/xmlrpc.cgi at 0x7f3985faf1d0>
val: [752665]
matchobj: <_sre.SRE_Match object at 0x267b7a0>
special_fields: {'flag': <function <lambda> at 0x26f1140>, 'whiteboard': <function <lambda> at 0x26f1230>}
rest: None
fieldname: 'blocked'
Comment 1 Kamil Páral 2013-01-29 10:34:34 EST
Created attachment 689883 [details]
File: backtrace
Comment 2 Kamil Páral 2013-01-29 10:34:37 EST
Created attachment 689884 [details]
File: core_backtrace
Comment 3 Kamil Páral 2013-01-29 10:34:39 EST
Created attachment 689885 [details]
File: environ
Comment 4 Cole Robinson 2013-02-01 10:42:14 EST
Thanks for the report, even with all the recent cleanup that was still an issue upstream. Fixed now:

http://git.fedorahosted.org/cgit/python-bugzilla.git/commit/?id=5835e37b79e2f14248670be88c1bd88014d674c7
Comment 5 Fedora Update System 2013-02-16 10:21:37 EST
python-bugzilla-0.8.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-bugzilla-0.8.0-1.fc18
Comment 6 Fedora Update System 2013-03-04 17:13:30 EST
python-bugzilla-0.8.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-bugzilla-0.8.0-2.fc18
Comment 7 Fedora Update System 2013-03-05 18:25:27 EST
Package python-bugzilla-0.8.0-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-bugzilla-0.8.0-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3447/python-bugzilla-0.8.0-2.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-03-22 17:01:19 EDT
python-bugzilla-0.8.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.